Bug 5730 - Patron search, start_with search now searches within a string, not just the start
Summary: Patron search, start_with search now searches within a string, not just the s...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5575 6253
  Show dependency treegraph
 
Reported: 2011-02-10 01:28 UTC by Chris Cormack
Modified: 2015-06-04 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-02-10 01:28:17 UTC
Search on start_with does like "% $var%" search (instead of " $var%")

Plus a performancement enhancement for C4::SQLHelper
Comment 1 Katrin Fischer 2011-04-25 00:35:43 UTC
Is there a patch for this bug?
Comment 2 Katrin Fischer 2014-11-02 08:55:02 UTC
"Begins with" patron search now works correctly.